commit: 5b5467e4795a1a1d9cc2ed2e83802621caada549
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 21:27:52 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 19:09:06 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b5467e4
python-r1.eclass: Ban python_export_best in EAPI 6
eclass/python-r1.eclass | 2 ++
1 file changed, 2 insertions(+)
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 1531442..de83bb5 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -603,6 +603,8 @@ python_setup() {
python_export_best() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+
eqawarn "python_export_best() is deprecated. Please use python_setup
instead,"
eqawarn "combined with python_export if necessary."